x_choices: use "xchoicesi" as an helper gateway
[scilab.git] / scilab / modules / atoms / Makefile.in
1 # Makefile.in generated by automake 1.14.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
18 # Copyright (C) 2009 - DIGITEO
19 #
20 # Copyright (C) 2012 - 2016 - Scilab Enterprises
21 #
22 # This file is hereby licensed under the terms of the GNU GPL v2.0,
23 # pursuant to article 5.3.4 of the CeCILL v.2.1.
24 # This file was originally licensed under the terms of the CeCILL v2.1,
25 # and continues to be available under such terms.
26 # For more information, see the COPYING file which you should have received
27 # along with this program.
28
29 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
30 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
31 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
32 #
33 # Copyright (C) 2012 - 2016 - Scilab Enterprises
34 #
35 # This file is hereby licensed under the terms of the GNU GPL v2.0,
36 # pursuant to article 5.3.4 of the CeCILL v.2.1.
37 # This file was originally licensed under the terms of the CeCILL v2.1,
38 # and continues to be available under such terms.
39 # For more information, see the COPYING file which you should have received
40 # along with this program.
41 #
42
43 ##########
44 ### Makefile included stuff
45 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
46 ##########
47
48 VPATH = @srcdir@
49 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
50 am__make_running_with_option = \
51   case $${target_option-} in \
52       ?) ;; \
53       *) echo "am__make_running_with_option: internal error: invalid" \
54               "target option '$${target_option-}' specified" >&2; \
55          exit 1;; \
56   esac; \
57   has_opt=no; \
58   sane_makeflags=$$MAKEFLAGS; \
59   if $(am__is_gnu_make); then \
60     sane_makeflags=$$MFLAGS; \
61   else \
62     case $$MAKEFLAGS in \
63       *\\[\ \   ]*) \
64         bs=\\; \
65         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
66           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
67     esac; \
68   fi; \
69   skip_next=no; \
70   strip_trailopt () \
71   { \
72     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
73   }; \
74   for flg in $$sane_makeflags; do \
75     test $$skip_next = yes && { skip_next=no; continue; }; \
76     case $$flg in \
77       *=*|--*) continue;; \
78         -*I) strip_trailopt 'I'; skip_next=yes;; \
79       -*I?*) strip_trailopt 'I';; \
80         -*O) strip_trailopt 'O'; skip_next=yes;; \
81       -*O?*) strip_trailopt 'O';; \
82         -*l) strip_trailopt 'l'; skip_next=yes;; \
83       -*l?*) strip_trailopt 'l';; \
84       -[dEDm]) skip_next=yes;; \
85       -[JT]) skip_next=yes;; \
86     esac; \
87     case $$flg in \
88       *$$target_option*) has_opt=yes; break;; \
89     esac; \
90   done; \
91   test $$has_opt = yes
92 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
93 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
94 pkgdatadir = $(datadir)/@PACKAGE@
95 pkgincludedir = $(includedir)/@PACKAGE@
96 pkglibdir = $(libdir)/@PACKAGE@
97 pkglibexecdir = $(libexecdir)/@PACKAGE@
98 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
99 install_sh_DATA = $(install_sh) -c -m 644
100 install_sh_PROGRAM = $(install_sh) -c
101 install_sh_SCRIPT = $(install_sh) -c
102 INSTALL_HEADER = $(INSTALL_DATA)
103 transform = $(program_transform_name)
104 NORMAL_INSTALL = :
105 PRE_INSTALL = :
106 POST_INSTALL = :
107 NORMAL_UNINSTALL = :
108 PRE_UNINSTALL = :
109 POST_UNINSTALL = :
110 build_triplet = @build@
111 host_triplet = @host@
112 DIST_COMMON = $(top_srcdir)/Makefile.incl.am $(srcdir)/Makefile.in \
113         $(srcdir)/Makefile.am $(top_srcdir)/config/mkinstalldirs
114 @NEED_JAVA_TRUE@am__append_1 = java
115 subdir = modules/atoms
116 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
117 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_cxx_compile_stdcxx_11.m4 \
118         $(top_srcdir)/m4/backtrace.m4 $(top_srcdir)/m4/compiler.m4 \
119         $(top_srcdir)/m4/curl.m4 $(top_srcdir)/m4/docbook.m4 \
120         $(top_srcdir)/m4/doxygen.m4 $(top_srcdir)/m4/eigen.m4 \
121         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
122         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
123         $(top_srcdir)/m4/intel_compiler.m4 \
124         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
125         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
126         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
127         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
128         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
129         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
130         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
131         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
132         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
133         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
134         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
135 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
136         $(ACLOCAL_M4)
137 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
138 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
139 CONFIG_CLEAN_FILES =
140 CONFIG_CLEAN_VPATH_FILES =
141 AM_V_P = $(am__v_P_@AM_V@)
142 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
143 am__v_P_0 = false
144 am__v_P_1 = :
145 AM_V_GEN = $(am__v_GEN_@AM_V@)
146 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
147 am__v_GEN_0 = @echo "  GEN     " $@;
148 am__v_GEN_1 = 
149 AM_V_at = $(am__v_at_@AM_V@)
150 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
151 am__v_at_0 = @
152 am__v_at_1 = 
153 SOURCES =
154 DIST_SOURCES =
155 am__can_run_installinfo = \
156   case $$AM_UPDATE_INFO_DIR in \
157     n|no|NO) false;; \
158     *) (install-info --version) >/dev/null 2>&1;; \
159   esac
160 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
161 am__vpath_adj = case $$p in \
162     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
163     *) f=$$p;; \
164   esac;
165 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
166 am__install_max = 40
167 am__nobase_strip_setup = \
168   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
169 am__nobase_strip = \
170   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
171 am__nobase_list = $(am__nobase_strip_setup); \
172   for p in $$list; do echo "$$p $$p"; done | \
173   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
174   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
175     if (++n[$$2] == $(am__install_max)) \
176       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
177     END { for (dir in files) print dir, files[dir] }'
178 am__base_list = \
179   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
180   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
181 am__uninstall_files_from_dir = { \
182   test -z "$$files" \
183     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
184     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
185          $(am__cd) "$$dir" && rm -f $$files; }; \
186   }
187 am__installdirs = "$(DESTDIR)$(libsciatoms_la_etcdir)" \
188         "$(DESTDIR)$(libsciatoms_la_guidir)" \
189         "$(DESTDIR)$(libsciatoms_la_rootdir)" \
190         "$(DESTDIR)$(libsciatoms_la_iconsdir)"
191 DATA = $(libsciatoms_la_etc_DATA) $(libsciatoms_la_gui_DATA) \
192         $(libsciatoms_la_root_DATA) \
193         $(nobase_libsciatoms_la_icons_DATA)
194 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
195 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
196 ACLOCAL = @ACLOCAL@
197 ALL_LINGUAS = @ALL_LINGUAS@
198 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
199 AMTAR = @AMTAR@
200 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
201 ANT = @ANT@
202 ANTLR = @ANTLR@
203 AR = @AR@
204 ARPACK_LIBS = @ARPACK_LIBS@
205 ASM3 = @ASM3@
206 AUTOCONF = @AUTOCONF@
207 AUTOHEADER = @AUTOHEADER@
208 AUTOMAKE = @AUTOMAKE@
209 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
210 AWK = @AWK@
211 BATIK = @BATIK@
212 BLAS_CFLAGS = @BLAS_CFLAGS@
213 BLAS_LIBS = @BLAS_LIBS@
214 CC = @CC@
215 CCACHE = @CCACHE@
216 CCDEPMODE = @CCDEPMODE@
217 CFLAGS = @CFLAGS@
218 CHECKSTYLE = @CHECKSTYLE@
219 COBERTURA = @COBERTURA@
220 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
221 COMMONS_IO = @COMMONS_IO@
222 COMMONS_LOGGING = @COMMONS_LOGGING@
223 CPP = @CPP@
224 CPPFLAGS = @CPPFLAGS@
225 CURL_CFLAGS = @CURL_CFLAGS@
226 CURL_CONFIG = @CURL_CONFIG@
227 CURL_LIBS = @CURL_LIBS@
228 CURL_VERSION = @CURL_VERSION@
229 CXX = @CXX@
230 CXXCPP = @CXXCPP@
231 CXXDEPMODE = @CXXDEPMODE@
232 CXXFLAGS = @CXXFLAGS@
233 CYGPATH_W = @CYGPATH_W@
234 DEFS = @DEFS@
235 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
236 DEPDIR = @DEPDIR@
237 DLLTOOL = @DLLTOOL@
238 DOCBOOK_ROOT = @DOCBOOK_ROOT@
239 DOXYGEN_BIN = @DOXYGEN_BIN@
240 DSYMUTIL = @DSYMUTIL@
241 DUMPBIN = @DUMPBIN@
242 ECHO_C = @ECHO_C@
243 ECHO_N = @ECHO_N@
244 ECHO_T = @ECHO_T@
245 ECJ = @ECJ@
246 EGREP = @EGREP@
247 EIGEN_CPPFLAGS = @EIGEN_CPPFLAGS@
248 EXEEXT = @EXEEXT@
249 F77 = @F77@
250 FFLAGS = @FFLAGS@
251 FFTW3_LIB = @FFTW3_LIB@
252 FFTW_ENABLE = @FFTW_ENABLE@
253 FGREP = @FGREP@
254 FLEXDOCK = @FLEXDOCK@
255 FLIBS = @FLIBS@
256 FOP = @FOP@
257 FREEHEP_GRAPHICS2D = @FREEHEP_GRAPHICS2D@
258 FREEHEP_GRAPHICSIO = @FREEHEP_GRAPHICSIO@
259 FREEHEP_GRAPHICSIO_EMF = @FREEHEP_GRAPHICSIO_EMF@
260 FREEHEP_IO = @FREEHEP_IO@
261 FREEHEP_UTIL = @FREEHEP_UTIL@
262 GENHTML = @GENHTML@
263 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
264 GIWS_BIN = @GIWS_BIN@
265 GLUEGEN2_RT = @GLUEGEN2_RT@
266 GMSGFMT = @GMSGFMT@
267 GMSGFMT_015 = @GMSGFMT_015@
268 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
269 GREP = @GREP@
270 GUI_ENABLE = @GUI_ENABLE@
271 HAMCREST = @HAMCREST@
272 HAVE_CXX11 = @HAVE_CXX11@
273 HDF5_CFLAGS = @HDF5_CFLAGS@
274 HDF5_LIBS = @HDF5_LIBS@
275 HELP_ENABLE = @HELP_ENABLE@
276 INSTALL = @INSTALL@
277 INSTALL_DATA = @INSTALL_DATA@
278 INSTALL_PROGRAM = @INSTALL_PROGRAM@
279 INSTALL_SCRIPT = @INSTALL_SCRIPT@
280 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
281 INTLLIBS = @INTLLIBS@
282 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
283 JAR = @JAR@
284 JAVA = @JAVA@
285 JAVAC = @JAVAC@
286 JAVAC_DEBUG = @JAVAC_DEBUG@
287 JAVADOC = @JAVADOC@
288 JAVAH = @JAVAH@
289 JAVASCI_ENABLE = @JAVASCI_ENABLE@
290 JAVA_ENABLE = @JAVA_ENABLE@
291 JAVA_G = @JAVA_G@
292 JAVA_HOME = @JAVA_HOME@
293 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
294 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
295 JDB = @JDB@
296 JEUCLID_CORE = @JEUCLID_CORE@
297 JGRAPHX = @JGRAPHX@
298 JHALL = @JHALL@
299 JLATEXMATH = @JLATEXMATH@
300 JLATEXMATH_FOP = @JLATEXMATH_FOP@
301 JOGL2 = @JOGL2@
302 JROSETTA_API = @JROSETTA_API@
303 JROSETTA_ENGINE = @JROSETTA_ENGINE@
304 JUNIT4 = @JUNIT4@
305 LAPACK_LIBS = @LAPACK_LIBS@
306 LCOV = @LCOV@
307 LD = @LD@
308 LDFLAGS = @LDFLAGS@
309 LEX = @LEX@
310 LEXLIB = @LEXLIB@
311 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
312 LIBICONV = @LIBICONV@
313 LIBINTL = @LIBINTL@
314 LIBM = @LIBM@
315 LIBOBJS = @LIBOBJS@
316 LIBS = @LIBS@
317 LIBTOOL = @LIBTOOL@
318 LIPO = @LIPO@
319 LN_S = @LN_S@
320 LOGGING_LEVEL = @LOGGING_LEVEL@
321 LOOKS = @LOOKS@
322 LTLIBICONV = @LTLIBICONV@
323 LTLIBINTL = @LTLIBINTL@
324 LTLIBOBJS = @LTLIBOBJS@
325 LUCENE = @LUCENE@
326 LUCENE_ANALYZER = @LUCENE_ANALYZER@
327 LUCENE_PARSER = @LUCENE_PARSER@
328 MAINT = @MAINT@
329 MAKEINFO = @MAKEINFO@
330 MANIFEST_TOOL = @MANIFEST_TOOL@
331 MATIO_CFLAGS = @MATIO_CFLAGS@
332 MATIO_ENABLE = @MATIO_ENABLE@
333 MATIO_LIBS = @MATIO_LIBS@
334 MKDIR_P = @MKDIR_P@
335 MPI_ENABLE = @MPI_ENABLE@
336 MSGCAT = @MSGCAT@
337 MSGFMT = @MSGFMT@
338 MSGFMT_015 = @MSGFMT_015@
339 MSGMERGE = @MSGMERGE@
340 NM = @NM@
341 NMEDIT = @NMEDIT@
342 OBJDUMP = @OBJDUMP@
343 OBJEXT = @OBJEXT@
344 OCAMLC = @OCAMLC@
345 OCAMLDEP = @OCAMLDEP@
346 OCAMLLEX = @OCAMLLEX@
347 OCAMLOPT = @OCAMLOPT@
348 OCAMLYACC = @OCAMLYACC@
349 OPENMPI_CC = @OPENMPI_CC@
350 OPENMPI_CFLAGS = @OPENMPI_CFLAGS@
351 OPENMPI_CXX = @OPENMPI_CXX@
352 OPENMPI_CXXFLAGS = @OPENMPI_CXXFLAGS@
353 OPENMPI_LIBS = @OPENMPI_LIBS@
354 OPENMP_CFLAGS = @OPENMP_CFLAGS@
355 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
356 OPENMP_ENABLE = @OPENMP_ENABLE@
357 OPENMP_LIBS = @OPENMP_LIBS@
358 OTOOL = @OTOOL@
359 OTOOL64 = @OTOOL64@
360 PACKAGE = @PACKAGE@
361 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
362 PACKAGE_NAME = @PACKAGE_NAME@
363 PACKAGE_STRING = @PACKAGE_STRING@
364 PACKAGE_TARNAME = @PACKAGE_TARNAME@
365 PACKAGE_URL = @PACKAGE_URL@
366 PACKAGE_VERSION = @PACKAGE_VERSION@
367 PATH_SEPARATOR = @PATH_SEPARATOR@
368 PCRE_CFLAGS = @PCRE_CFLAGS@
369 PCRE_CONFIG = @PCRE_CONFIG@
370 PCRE_LIBS = @PCRE_LIBS@
371 PCRE_VERSION = @PCRE_VERSION@
372 PKG_CONFIG = @PKG_CONFIG@
373 POSUB = @POSUB@
374 POW_LIB = @POW_LIB@
375 PYTHON = @PYTHON@
376 RANLIB = @RANLIB@
377 RELOCATABLE = @RELOCATABLE@
378 RT_LIB = @RT_LIB@
379 SAXON = @SAXON@
380 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
381 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
382 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
383 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
384 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
385 SCIRENDERER = @SCIRENDERER@
386 SCIRENDERER_CP = @SCIRENDERER_CP@
387 SCI_CFLAGS = @SCI_CFLAGS@
388 SCI_CXXFLAGS = @SCI_CXXFLAGS@
389 SCI_FFLAGS = @SCI_FFLAGS@
390 SCI_LDFLAGS = @SCI_LDFLAGS@
391 SED = @SED@
392 SET_MAKE = @SET_MAKE@
393 SET_RELOCATABLE = @SET_RELOCATABLE@
394 SHELL = @SHELL@
395 SKINLF = @SKINLF@
396 SPLINT = @SPLINT@
397 STRIP = @STRIP@
398 SWIG_BIN = @SWIG_BIN@
399 SWIG_JAVA = @SWIG_JAVA@
400 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
401 SWIG_SCILAB = @SWIG_SCILAB@
402 TCLTK_LIBS = @TCLTK_LIBS@
403 TCL_INC_PATH = @TCL_INC_PATH@
404 TK_INC_PATH = @TK_INC_PATH@
405 UMFPACK_CFLAGS = @UMFPACK_CFLAGS@
406 UMFPACK_ENABLE = @UMFPACK_ENABLE@
407 UMFPACK_LIB = @UMFPACK_LIB@
408 USE_NLS = @USE_NLS@
409 VALGRIND_CFLAGS = @VALGRIND_CFLAGS@
410 VALGRIND_LIBS = @VALGRIND_LIBS@
411 VERSION = @VERSION@
412 WITH_OCAML = @WITH_OCAML@
413 WITH_TKSCI = @WITH_TKSCI@
414 XCOS_ENABLE = @XCOS_ENABLE@
415 XGETTEXT = @XGETTEXT@
416 XGETTEXT_015 = @XGETTEXT_015@
417 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
418 XMKMF = @XMKMF@
419 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
420 XML_APIS_EXT = @XML_APIS_EXT@
421 XML_CONFIG = @XML_CONFIG@
422 XML_FLAGS = @XML_FLAGS@
423 XML_LIBS = @XML_LIBS@
424 XML_VERSION = @XML_VERSION@
425 X_CFLAGS = @X_CFLAGS@
426 X_EXTRA_LIBS = @X_EXTRA_LIBS@
427 X_LIBS = @X_LIBS@
428 X_PRE_LIBS = @X_PRE_LIBS@
429 YACC = @YACC@
430 YFLAGS = @YFLAGS@
431 abs_builddir = @abs_builddir@
432 abs_srcdir = @abs_srcdir@
433 abs_top_builddir = @abs_top_builddir@
434 abs_top_srcdir = @abs_top_srcdir@
435 ac_ct_AR = @ac_ct_AR@
436 ac_ct_CC = @ac_ct_CC@
437 ac_ct_CXX = @ac_ct_CXX@
438 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
439 ac_ct_F77 = @ac_ct_F77@
440 am__include = @am__include@
441 am__leading_dot = @am__leading_dot@
442 am__quote = @am__quote@
443 am__tar = @am__tar@
444 am__untar = @am__untar@
445 bindir = @bindir@
446 build = @build@
447 build_alias = @build_alias@
448 build_cpu = @build_cpu@
449 build_os = @build_os@
450 build_vendor = @build_vendor@
451 builddir = @builddir@
452 cxx_present = @cxx_present@
453 datadir = @datadir@
454 datarootdir = @datarootdir@
455 docdir = @docdir@
456 dvidir = @dvidir@
457 exec_prefix = @exec_prefix@
458 host = @host@
459 host_alias = @host_alias@
460 host_cpu = @host_cpu@
461 host_os = @host_os@
462 host_vendor = @host_vendor@
463 htmldir = @htmldir@
464 includedir = @includedir@
465 infodir = @infodir@
466 install_sh = @install_sh@
467 libdir = @libdir@
468 libexecdir = @libexecdir@
469 localedir = @localedir@
470 localstatedir = @localstatedir@
471 mandir = @mandir@
472 mkdir_p = @mkdir_p@
473 oldincludedir = @oldincludedir@
474 pdfdir = @pdfdir@
475 prefix = @prefix@
476 program_transform_name = @program_transform_name@
477 psdir = @psdir@
478 sbindir = @sbindir@
479 sharedstatedir = @sharedstatedir@
480 srcdir = @srcdir@
481 sysconfdir = @sysconfdir@
482 target_alias = @target_alias@
483 top_build_prefix = @top_build_prefix@
484 top_builddir = @top_builddir@
485 top_srcdir = @top_srcdir@
486 yacc_present = @yacc_present@
487 modulename = atoms
488
489 #### atoms : Conf files ####
490 libsciatoms_la_rootdir = $(mydatadir)
491 libsciatoms_la_root_DATA = license.txt 
492
493 #### atoms : init scripts ####
494 libsciatoms_la_etcdir = $(mydatadir)/etc
495 libsciatoms_la_etc_DATA = etc/atoms.quit etc/atoms.start etc/repositories
496
497 #### atoms : XML gui ####
498 libsciatoms_la_guidir = $(mydatadir)/gui
499 libsciatoms_la_gui_DATA = gui/atomsGui.xml
500
501 #### atoms : internal functions ####
502 MACROSDIRSEXT = macros/atoms_internals macros/atoms_gui
503
504 #### atoms : icons files ####
505 #
506 # Generated with:
507 #    $ find images/ -type f -printf "%p \\\\\n" -name *.svg -or -name *.gif -or -name *.jpg -or -name *.png |sort -u
508 libsciatoms_la_iconsdir = $(mydatadir)/
509 nobase_libsciatoms_la_icons_DATA = images/icons/16x16/emblems/emblem-default.png \
510 images/icons/16x16/status/dialog-information.png \
511 images/icons/16x16/status/software-update-available.png \
512 images/icons/16x16/status/software-update-installed.png \
513 images/icons/16x16/status/software-update-notinstalled.png \
514 images/icons/16x16/status/software-update-notuptodate.png
515
516
517 # Where all the Scilab stuff is installed (macros, help, ...)
518 mydatadir = $(pkgdatadir)/modules/$(modulename)
519
520 # Set AM_* SCI detected settings
521 AM_CPPFLAGS = $(SCI_CPPFLAGS)
522 AM_CFLAGS = $(SCI_CFLAGS)
523 AM_CXXFLAGS = $(SCI_CXXFLAGS)
524 # append includes to AM_FFLAGS to manage fortran includes
525 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
526
527 # Tag shared libraries with the Scilab version
528 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
529
530 # splint options
531 SPLINT_OPTIONS = -weak -booltype BOOL
532
533 ########################### JAVA ######################################
534 #### We are delegating java compilation to ant... Thanks to that
535 #### the procedure will be the same with Microsoft Windows (C)
536 #### and Linux/Unix
537 #######################################################################
538 TARGETS_ALL = $(am__append_1)
539
540 ################ MACROS ######################
541 # Rule to build a macro
542 # NOT USED  AT THE MOMENT
543 SUFFIXES = .sci 
544
545 ########### INSTALL DOCUMENTATION ###################
546
547 # Install documentation files into the right target
548 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
549 # automake needs the html files to be present which is not the case when
550 # we are building Scilab
551
552 # Where it should be installed
553 pkgdocdir = $(mydatadir)
554
555 # What is the mask of the help source
556 DOCMASKXML = *.xml
557
558 # What is the mask of the MathML sources
559 DOCMASKMML = *.mml
560
561 ########### INSTALL DATA ###################
562 # Install macros, help & demos
563 # Where it should be installed
564 pkgmacrosdir = $(mydatadir)
565 # Which directory we process
566 MACRODIRS = macros/
567 # Mask of the Scilab sources macros
568 MACROMASK = *.sci
569 # Mask of the Scilab executable sources macros
570 MACROBUILDMASK = *.sce
571 # Mask of the Scilab compiled macros
572 MACROBINMASK = *.bin
573 # List of the standard directory for tests
574 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
575 # Where the demos should be installed
576 pkgdemosdir = $(mydatadir)
577 # List of the standard directory for demos
578 DEMOS_DIR = demos
579 # List of the standard directory for examples
580 EXAMPLES_DIR = examples
581 # Where to export JAVA archives (.jar)
582 JARDIR = jar/
583 # JAR files mask
584 JARMASK = *.jar
585 # Chapter file 
586 HELP_CHAPTERDIR = help/
587 HELP_CHAPTERFILE = addchapter.sce
588 HELP_CHAPTERLANG = en_US fr_FR pt_BR
589 all: all-am
590
591 .SUFFIXES:
592 .SUFFIXES: .sci .bin
593 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
594         @for dep in $?; do \
595           case '$(am__configure_deps)' in \
596             *$$dep*) \
597               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
598                 && { if test -f $@; then exit 0; else break; fi; }; \
599               exit 1;; \
600           esac; \
601         done; \
602         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/atoms/Makefile'; \
603         $(am__cd) $(top_srcdir) && \
604           $(AUTOMAKE) --foreign modules/atoms/Makefile
605 .PRECIOUS: Makefile
606 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
607         @case '$?' in \
608           *config.status*) \
609             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
610           *) \
611             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
612             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
613         esac;
614 $(top_srcdir)/Makefile.incl.am:
615
616 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
617         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
618
619 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
620         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
621 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
622         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
623 $(am__aclocal_m4_deps):
624
625 mostlyclean-libtool:
626         -rm -f *.lo
627
628 clean-libtool:
629         -rm -rf .libs _libs
630 install-libsciatoms_la_etcDATA: $(libsciatoms_la_etc_DATA)
631         @$(NORMAL_INSTALL)
632         @list='$(libsciatoms_la_etc_DATA)'; test -n "$(libsciatoms_la_etcdir)" || list=; \
633         if test -n "$$list"; then \
634           echo " $(MKDIR_P) '$(DESTDIR)$(libsciatoms_la_etcdir)'"; \
635           $(MKDIR_P) "$(DESTDIR)$(libsciatoms_la_etcdir)" || exit 1; \
636         fi; \
637         for p in $$list; do \
638           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
639           echo "$$d$$p"; \
640         done | $(am__base_list) | \
641         while read files; do \
642           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciatoms_la_etcdir)'"; \
643           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciatoms_la_etcdir)" || exit $$?; \
644         done
645
646 uninstall-libsciatoms_la_etcDATA:
647         @$(NORMAL_UNINSTALL)
648         @list='$(libsciatoms_la_etc_DATA)'; test -n "$(libsciatoms_la_etcdir)" || list=; \
649         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
650         dir='$(DESTDIR)$(libsciatoms_la_etcdir)'; $(am__uninstall_files_from_dir)
651 install-libsciatoms_la_guiDATA: $(libsciatoms_la_gui_DATA)
652         @$(NORMAL_INSTALL)
653         @list='$(libsciatoms_la_gui_DATA)'; test -n "$(libsciatoms_la_guidir)" || list=; \
654         if test -n "$$list"; then \
655           echo " $(MKDIR_P) '$(DESTDIR)$(libsciatoms_la_guidir)'"; \
656           $(MKDIR_P) "$(DESTDIR)$(libsciatoms_la_guidir)" || exit 1; \
657         fi; \
658         for p in $$list; do \
659           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
660           echo "$$d$$p"; \
661         done | $(am__base_list) | \
662         while read files; do \
663           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciatoms_la_guidir)'"; \
664           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciatoms_la_guidir)" || exit $$?; \
665         done
666
667 uninstall-libsciatoms_la_guiDATA:
668         @$(NORMAL_UNINSTALL)
669         @list='$(libsciatoms_la_gui_DATA)'; test -n "$(libsciatoms_la_guidir)" || list=; \
670         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
671         dir='$(DESTDIR)$(libsciatoms_la_guidir)'; $(am__uninstall_files_from_dir)
672 install-libsciatoms_la_rootDATA: $(libsciatoms_la_root_DATA)
673         @$(NORMAL_INSTALL)
674         @list='$(libsciatoms_la_root_DATA)'; test -n "$(libsciatoms_la_rootdir)" || list=; \
675         if test -n "$$list"; then \
676           echo " $(MKDIR_P) '$(DESTDIR)$(libsciatoms_la_rootdir)'"; \
677           $(MKDIR_P) "$(DESTDIR)$(libsciatoms_la_rootdir)" || exit 1; \
678         fi; \
679         for p in $$list; do \
680           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
681           echo "$$d$$p"; \
682         done | $(am__base_list) | \
683         while read files; do \
684           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciatoms_la_rootdir)'"; \
685           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciatoms_la_rootdir)" || exit $$?; \
686         done
687
688 uninstall-libsciatoms_la_rootDATA:
689         @$(NORMAL_UNINSTALL)
690         @list='$(libsciatoms_la_root_DATA)'; test -n "$(libsciatoms_la_rootdir)" || list=; \
691         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
692         dir='$(DESTDIR)$(libsciatoms_la_rootdir)'; $(am__uninstall_files_from_dir)
693 install-nobase_libsciatoms_la_iconsDATA: $(nobase_libsciatoms_la_icons_DATA)
694         @$(NORMAL_INSTALL)
695         @list='$(nobase_libsciatoms_la_icons_DATA)'; test -n "$(libsciatoms_la_iconsdir)" || list=; \
696         if test -n "$$list"; then \
697           echo " $(MKDIR_P) '$(DESTDIR)$(libsciatoms_la_iconsdir)'"; \
698           $(MKDIR_P) "$(DESTDIR)$(libsciatoms_la_iconsdir)" || exit 1; \
699         fi; \
700         $(am__nobase_list) | while read dir files; do \
701           xfiles=; for file in $$files; do \
702             if test -f "$$file"; then xfiles="$$xfiles $$file"; \
703             else xfiles="$$xfiles $(srcdir)/$$file"; fi; done; \
704           test -z "$$xfiles" || { \
705             test "x$$dir" = x. || { \
706               echo " $(MKDIR_P) '$(DESTDIR)$(libsciatoms_la_iconsdir)/$$dir'"; \
707               $(MKDIR_P) "$(DESTDIR)$(libsciatoms_la_iconsdir)/$$dir"; }; \
708             echo " $(INSTALL_DATA) $$xfiles '$(DESTDIR)$(libsciatoms_la_iconsdir)/$$dir'"; \
709             $(INSTALL_DATA) $$xfiles "$(DESTDIR)$(libsciatoms_la_iconsdir)/$$dir" || exit $$?; }; \
710         done
711
712 uninstall-nobase_libsciatoms_la_iconsDATA:
713         @$(NORMAL_UNINSTALL)
714         @list='$(nobase_libsciatoms_la_icons_DATA)'; test -n "$(libsciatoms_la_iconsdir)" || list=; \
715         $(am__nobase_strip_setup); files=`$(am__nobase_strip)`; \
716         dir='$(DESTDIR)$(libsciatoms_la_iconsdir)'; $(am__uninstall_files_from_dir)
717 tags TAGS:
718
719 ctags CTAGS:
720
721 cscope cscopelist:
722
723
724 distdir: $(DISTFILES)
725         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
726         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
727         list='$(DISTFILES)'; \
728           dist_files=`for file in $$list; do echo $$file; done | \
729           sed -e "s|^$$srcdirstrip/||;t" \
730               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
731         case $$dist_files in \
732           */*) $(MKDIR_P) `echo "$$dist_files" | \
733                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
734                            sort -u` ;; \
735         esac; \
736         for file in $$dist_files; do \
737           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
738           if test -d $$d/$$file; then \
739             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
740             if test -d "$(distdir)/$$file"; then \
741               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
742             fi; \
743             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
744               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
745               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
746             fi; \
747             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
748           else \
749             test -f "$(distdir)/$$file" \
750             || cp -p $$d/$$file "$(distdir)/$$file" \
751             || exit 1; \
752           fi; \
753         done
754 check-am: all-am
755         $(MAKE) $(AM_MAKEFLAGS) check-local
756 check: check-am
757 all-am: Makefile $(DATA) all-local
758 installdirs:
759         for dir in "$(DESTDIR)$(libsciatoms_la_etcdir)" "$(DESTDIR)$(libsciatoms_la_guidir)" "$(DESTDIR)$(libsciatoms_la_rootdir)" "$(DESTDIR)$(libsciatoms_la_iconsdir)"; do \
760           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
761         done
762 install: install-am
763 install-exec: install-exec-am
764 install-data: install-data-am
765 uninstall: uninstall-am
766
767 install-am: all-am
768         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
769
770 installcheck: installcheck-am
771 install-strip:
772         if test -z '$(STRIP)'; then \
773           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
774             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
775               install; \
776         else \
777           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
778             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
779             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
780         fi
781 mostlyclean-generic:
782
783 clean-generic:
784
785 distclean-generic:
786         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
787         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
788
789 maintainer-clean-generic:
790         @echo "This command is intended for maintainers to use"
791         @echo "it deletes files that may require special tools to rebuild."
792 clean: clean-am
793
794 clean-am: clean-generic clean-libtool clean-local mostlyclean-am
795
796 distclean: distclean-am
797         -rm -f Makefile
798 distclean-am: clean-am distclean-generic distclean-local
799
800 dvi: dvi-am
801
802 dvi-am:
803
804 html: html-am
805
806 html-am:
807
808 info: info-am
809
810 info-am:
811
812 install-data-am: install-data-local install-libsciatoms_la_etcDATA \
813         install-libsciatoms_la_guiDATA install-libsciatoms_la_rootDATA \
814         install-nobase_libsciatoms_la_iconsDATA
815
816 install-dvi: install-dvi-am
817
818 install-dvi-am:
819
820 install-exec-am:
821
822 install-html: install-html-am
823
824 install-html-am: install-html-local
825
826 install-info: install-info-am
827
828 install-info-am:
829
830 install-man:
831
832 install-pdf: install-pdf-am
833
834 install-pdf-am:
835
836 install-ps: install-ps-am
837
838 install-ps-am:
839
840 installcheck-am:
841
842 maintainer-clean: maintainer-clean-am
843         -rm -f Makefile
844 maintainer-clean-am: distclean-am maintainer-clean-generic
845
846 mostlyclean: mostlyclean-am
847
848 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
849
850 pdf: pdf-am
851
852 pdf-am:
853
854 ps: ps-am
855
856 ps-am:
857
858 uninstall-am: uninstall-libsciatoms_la_etcDATA \
859         uninstall-libsciatoms_la_guiDATA \
860         uninstall-libsciatoms_la_rootDATA \
861         uninstall-nobase_libsciatoms_la_iconsDATA
862
863 .MAKE: check-am install-am install-strip
864
865 .PHONY: all all-am all-local check check-am check-local clean \
866         clean-generic clean-libtool clean-local cscopelist-am ctags-am \
867         distclean distclean-generic distclean-libtool distclean-local \
868         distdir dvi dvi-am html html-am info info-am install \
869         install-am install-data install-data-am install-data-local \
870         install-dvi install-dvi-am install-exec install-exec-am \
871         install-html install-html-am install-html-local install-info \
872         install-info-am install-libsciatoms_la_etcDATA \
873         install-libsciatoms_la_guiDATA install-libsciatoms_la_rootDATA \
874         install-man install-nobase_libsciatoms_la_iconsDATA \
875         install-pdf install-pdf-am install-ps install-ps-am \
876         install-strip installcheck installcheck-am installdirs \
877         maintainer-clean maintainer-clean-generic mostlyclean \
878         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
879         tags-am uninstall uninstall-am \
880         uninstall-libsciatoms_la_etcDATA \
881         uninstall-libsciatoms_la_guiDATA \
882         uninstall-libsciatoms_la_rootDATA \
883         uninstall-nobase_libsciatoms_la_iconsDATA
884
885
886 # This target enables tests for Scilab
887 check-local: $(top_builddir)/scilab-bin test
888         if test -d $(mydatadir)/tests; then \
889           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
890         fi
891 check-code:
892         if test -f build.xml; then \
893                 $(ANT) checkstyle; \
894         fi
895         if test -x "$(SPLINT)"; then \
896                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
897         fi
898 @NEED_JAVA_TRUE@java:
899 # Some configurations needs to export JAVA_HOME in the current env
900 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
901 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
902 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
903 @NEED_JAVA_TRUE@                $(ANT); \
904 @NEED_JAVA_TRUE@        fi
905
906 @NEED_JAVA_TRUE@clean-java:
907 # Some configurations needs to export JAVA_HOME in the current env
908 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
909 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
910 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
911 @NEED_JAVA_TRUE@                $(ANT) clean; \
912 @NEED_JAVA_TRUE@        fi;
913
914 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
915 # We call the target swig-build on the variable SWIG_WRAPPERS
916
917 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
918 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
919 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
920 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
921 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
922 @SWIG_TRUE@                     echo "Swig process of $$file (Java) ..."; \
923 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_OPTIONS) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
924 @SWIG_TRUE@             done; \
925 @SWIG_TRUE@     fi
926
927 @SWIG_TRUE@swig-scilab: $(SWIG_SCILAB_WRAPPERS)
928 @SWIG_TRUE@     @SWIG_OUTDIR=src/swig/; \
929 @SWIG_TRUE@     if test -n "$(SWIG_SCILAB_WRAPPERS)"; then \
930 @SWIG_TRUE@             for file in $(SWIG_SCILAB_WRAPPERS) ; do \
931 @SWIG_TRUE@                     echo "Swig process of $$file (Scilab) ..."; \
932 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_OPTIONS) $(SWIG_SCILAB)  -outdir $$SWIG_OUTDIR $$file; \
933 @SWIG_TRUE@             done; \
934 @SWIG_TRUE@     fi
935
936 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
937 # We call the target swig-build on the variable SWIG_WRAPPERS
938
939 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
940 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/; \
941 @GIWS_TRUE@     MANDATORY_OPTIONS="--throws-exception-on-error --description-file"; \
942 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
943 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
944 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
945 @GIWS_TRUE@                     if test -z "$(GIWS_OPTIONS)"; then \
946 @GIWS_TRUE@                             $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
947 @GIWS_TRUE@                     else \
948 @GIWS_TRUE@                             echo "Custom GIWS call with '$$GIWS_OPTIONS'"; \
949 @GIWS_TRUE@                             $(GIWS_BIN) $$GIWS_OPTIONS --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
950 @GIWS_TRUE@                     fi \
951 @GIWS_TRUE@             done; \
952 @GIWS_TRUE@     fi
953
954 @GIWS_TRUE@giws-exception:
955 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
956 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
957 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
958
959 macros:
960         -@( if test ! -x $(top_builddir)/scilab-bin; then \
961                 echo "Error : Cannot build $< : Scilab has not been built"; \
962         else \
963                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
964         fi)
965
966 # Removes the macros
967 clean-macros:
968 # Removes macros (*.bin generated from .sci)
969         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
970                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
971                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
972         done
973
974 test:
975 # More tests could be added here
976         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
977         if test -f build.xml -a $$USEANT -eq 1; then \
978                 $(ANT) test; \
979         fi
980
981 all-local: $(TARGETS_ALL)
982
983 .sci.bin:
984         -@( if test ! -x $(top_builddir)/scilab-bin; then \
985         echo "Error : Cannot build $< : Scilab has not been build"; \
986         else \
987         echo "Creating $@"; \
988         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
989         fi )
990
991 install-html-local:
992
993 install-data-local-local:
994 # Mainly for javasci
995         @if test -d $(srcdir)/javadoc; then \
996                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
997         fi
998 # If the user wants the help sources to be installed
999 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1000 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1001 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1002 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1003 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1004 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1005 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1006 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1007 @INSTALL_HELP_XML_TRUE@           done ; \
1008 @INSTALL_HELP_XML_TRUE@         fi; \
1009 @INSTALL_HELP_XML_TRUE@  fi; \
1010 @INSTALL_HELP_XML_TRUE@ done; \
1011 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1012 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1013 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1014 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1015 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1016 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1017 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1018 @INSTALL_HELP_XML_TRUE@           done ; \
1019 @INSTALL_HELP_XML_TRUE@         fi; \
1020 @INSTALL_HELP_XML_TRUE@ fi
1021 install-data-local:
1022 # Install the tests
1023         @echo "-------- Install tests (if any) --------"; \
1024         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1025           if test -d $(srcdir)/$$dir/; then \
1026             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1027                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1028                     if test -d "$(srcdir)/$$dir/$$file"; then \
1029                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1030                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1031                     else \
1032                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1033                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1034                     fi \
1035                   done; \
1036           fi; \
1037         done
1038 # Install the help chapter
1039         @echo "-------- Install the help chapter (if any) --------"; \
1040         for lang in $(HELP_CHAPTERLANG); do \
1041                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1042                 if test -f $$HELPFILE; then \
1043                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1044                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1045                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1046                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1047                 fi; \
1048         done
1049 # Install the demos & examples
1050         @echo "-------- Install demos & examples (if any) --------"; \
1051         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1052           if test -d $(srcdir)/$$dir/; then \
1053             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1054                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1055                     if test -d "$(srcdir)/$$dir/$$file"; then \
1056                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1057                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1058                     else \
1059                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1060                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1061                     fi \
1062                   done; \
1063           fi; \
1064         done
1065 # Install the macros
1066         @echo "-------- Install macros (if any) --------"; \
1067         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1068           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1069                 if test -d $(srcdir)/$$dir/; then \
1070                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1071                         if test -n "$(MACROSSPECIALEXT)"; then \
1072                                 specialExtDir=""; \
1073                                 for specialExt in $(MACROSSPECIALEXT); do \
1074                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1075                                 done; \
1076                                 FILELIST="$$FILELIST $$specialExtDir"; \
1077                         fi; \
1078                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1079                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1080                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1081                   done; \
1082                 fi; \
1083         done
1084 # Install java files (.jar)
1085         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1086         echo "-------- Install jar files --------"; \
1087     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1088           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1089                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1090                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1091           done ; \
1092         fi
1093
1094 ########### CLEAN ###################
1095 # Clean help (generated automatically by Scilab)
1096 # It used to clean the macro (clean-macros) but this was causing
1097 # make clean && make to fail Scilab startup
1098 @NEED_JAVA_TRUE@clean-local: clean-java
1099 @NEED_JAVA_FALSE@clean-local:
1100
1101 distclean-local:
1102         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1103
1104 .PHONY: macros java swig giws
1105
1106 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1107 # Otherwise a system limit (for SysV at least) may be exceeded.
1108 .NOEXPORT: